Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.taglib
Class SuggestionBoxTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.ajax4jsf.webapp.taglib.UIComponentTagBase
              org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
                  org.richfaces.taglib.SuggestionBoxTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class SuggestionBoxTag

extends org.ajax4jsf.webapp.taglib.HtmlComponentTagBase

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`SuggestionBoxTag()`

Method Summary
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getRendererType()`
`void` | `release()`
`void` | `setAjaxSingle(java.lang.String __ajaxSingle)`
`void` | `setAlign(java.lang.String __align)`
`void` | `setBgcolor(java.lang.String __bgcolor)`
`void` | `setBorder(java.lang.String __border)`
`void` | `setBypassUpdates(java.lang.String __bypassUpdates)`
`void` | `setCellpadding(java.lang.String __cellpadding)`
`void` | `setCellspacing(java.lang.String __cellspacing)`
`void` | `setData(java.lang.String __data)`
`void` | `setEntryClass(java.lang.String __entryClass)`
`void` | `setEventsQueue(java.lang.String __eventsQueue)`
`void` | `setFetchValue(java.lang.String __fetchValue)`
`void` | `setFirst(java.lang.String __first)`
`void` | `setFocus(java.lang.String __focus)`
`void` | `setFooter(java.lang.String __footer)`
`void` | `setFor(java.lang.String __for)`
`void` | `setFrame(java.lang.String __frame)`
`void` | `setFrequency(java.lang.String __frequency)`
`void` | `setHeader(java.lang.String __header)`
`void` | `setHeight(java.lang.String __height)`
`void` | `setIgnoreDupResponses(java.lang.String __ignoreDupResponses)`
`void` | `setImmediate(java.lang.String __immediate)`
`void` | `setLimitToList(java.lang.String __limitToList)`
`void` | `setMinChars(java.lang.String __minChars)`
`void` | `setNothingLabel(java.lang.String __nothingLabel)`
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String __oncomplete)`
`void` | `setOnselect(java.lang.String __onselect)`
`void` | `setOnsubmit(java.lang.String __onsubmit)`
`void` | `setParam(java.lang.String __param)`
`void` | `setPopupClass(java.lang.String __popupClass)`
`void` | `setPopupStyle(java.lang.String __popupStyle)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setRequestDelay(java.lang.String __requestDelay)`
`void` | `setReRender(java.lang.String __reRender)`
`void` | `setRowClasses(java.lang.String __rowClasses)`
`void` | `setRowIndex(java.lang.String __rowIndex)`
`void` | `setRowNumber(java.lang.String __rowNumber)`
`void` | `setRows(java.lang.String __rows)`
`void` | `setRules(java.lang.String __rules)`
`void` | `setSelectedClass(java.lang.String __selectedClass)`
`void` | `setSelectValueClass(java.lang.String __selectValueClass)`
`void` | `setSelfRendered(java.lang.String __selfRendered)`
`void` | `setShadowDepth(java.lang.String __shadowDepth)`
`void` | `setShadowOpacity(java.lang.String __shadowOpacity)`
`void` | `setStatus(java.lang.String __status)`
`void` | `setSubmitedValue(java.lang.String __submitedValue)`
`void` | `setSubmitted(java.lang.String __submitted)`
`void` | `setSuggestionAction(java.lang.String __suggestionAction)`
`void` | `setSummary(java.lang.String __summary)`
`void` | `setTimeout(java.lang.String __timeout)`
`void` | `setTokens(java.lang.String __tokens)`
`void` | `setUpValue(java.lang.String __upValue)`
`void` | `setVar(java.lang.String __var)`
`void` | `setWidth(java.lang.String __width)`
`void` | `setZindex(java.lang.String __zindex)`

Methods inherited from class org.ajax4jsf.webapp.taglib.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.ajax4jsf.webapp.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setCharterProperty, setConverter, setConverterProperty, setDoubleProperty, setFloatProperty, setIntegerProperty, setLongProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SuggestionBoxTag

    public SuggestionBoxTag()

Method Detail

### setAjaxSingle

    public void setAjaxSingle(java.lang.String __ajaxSingle)

### setAlign

    public void setAlign(java.lang.String __align)

### setBgcolor

    public void setBgcolor(java.lang.String __bgcolor)

### setBorder

    public void setBorder(java.lang.String __border)

### setBypassUpdates

    public void setBypassUpdates(java.lang.String __bypassUpdates)

### setCellpadding

    public void setCellpadding(java.lang.String __cellpadding)

### setCellspacing

    public void setCellspacing(java.lang.String __cellspacing)

### setData

    public void setData(java.lang.String __data)

### setEntryClass

    public void setEntryClass(java.lang.String __entryClass)

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

### setFetchValue

    public void setFetchValue(java.lang.String __fetchValue)

### setFirst

    public void setFirst(java.lang.String __first)

### setFocus

    public void setFocus(java.lang.String __focus)

### setFooter

    public void setFooter(java.lang.String __footer)

### setFor

    public void setFor(java.lang.String __for)

### setFrame

    public void setFrame(java.lang.String __frame)

### setFrequency

    public void setFrequency(java.lang.String __frequency)

### setHeader

    public void setHeader(java.lang.String __header)

### setHeight

    public void setHeight(java.lang.String __height)

### setIgnoreDupResponses

    public void setIgnoreDupResponses(java.lang.String __ignoreDupResponses)

### setImmediate

    public void setImmediate(java.lang.String __immediate)

### setLimitToList

    public void setLimitToList(java.lang.String __limitToList)

### setMinChars

    public void setMinChars(java.lang.String __minChars)

### setNothingLabel

    public void setNothingLabel(java.lang.String __nothingLabel)

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

### setOnselect

    public void setOnselect(java.lang.String __onselect)

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

### setParam

    public void setParam(java.lang.String __param)

### setPopupClass

    public void setPopupClass(java.lang.String __popupClass)

### setPopupStyle

    public void setPopupStyle(java.lang.String __popupStyle)

### setReRender

    public void setReRender(java.lang.String __reRender)

### setRequestDelay

    public void setRequestDelay(java.lang.String __requestDelay)

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

### setRowIndex

    public void setRowIndex(java.lang.String __rowIndex)

### setRowNumber

    public void setRowNumber(java.lang.String __rowNumber)

### setRows

    public void setRows(java.lang.String __rows)

### setRules

    public void setRules(java.lang.String __rules)

### setSelectValueClass

    public void setSelectValueClass(java.lang.String __selectValueClass)

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

### setSelfRendered

    public void setSelfRendered(java.lang.String __selfRendered)

### setShadowDepth

    public void setShadowDepth(java.lang.String __shadowDepth)

### setShadowOpacity

    public void setShadowOpacity(java.lang.String __shadowOpacity)

### setStatus

    public void setStatus(java.lang.String __status)

### setSubmitedValue

    public void setSubmitedValue(java.lang.String __submitedValue)

### setSubmitted

    public void setSubmitted(java.lang.String __submitted)

### setSuggestionAction

    public void setSuggestionAction(java.lang.String __suggestionAction)

### setSummary

    public void setSummary(java.lang.String __summary)

### setTimeout

    public void setTimeout(java.lang.String __timeout)

### setTokens

    public void setTokens(java.lang.String __tokens)

### setUpValue

    public void setUpValue(java.lang.String __upValue)

### setVar

    public void setVar(java.lang.String __var)

### setWidth

    public void setWidth(java.lang.String __width)

### setZindex

    public void setZindex(java.lang.String __zindex)

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `org.ajax4jsf.webapp.taglib.HtmlComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in class `javax.faces.webapp.UIComponentTag`

### getRendererType

    public java.lang.String getRendererType()

  Specified by:
    `getRendererType` in class `javax.faces.webapp.UIComponentTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.